<?php 


class tiket_model{
	public function act(){
		if(isset($_POST['mail']) && isset($_POST['name']) && isset($_POST['text']) && isset($_POST['title'])){
		if(strlen($_POST['mail'])>100 || strlen($_POST['mail'])<4) $err='e-mail должен быть в пределах от 4 до 100 символов';
		if(strlen($_POST['name'])>100 || strlen($_POST['name'])<2) $err='Имя должно быть в пределах от 2 до 100 символов';
		if(strlen($_POST['text'])>1000 || strlen($_POST['text'])<10) $err='Сообщение тикета должно быть в пределах от 10 до 1000 символов';
		if(strlen($_POST['title'])>100 || strlen($_POST['text'])<4) $err='Название тикета должно быть в пределах от 4 до 100 символов';
		if(!$err){
				Core::query("INSERT INTO `tiket` SET `mail` = ?, `title` = ?, `name` = ?, `text` = ?, `time` = '".time()."'", array($_POST['mail'], $_POST['title'], $_POST['name'], $_POST['text']));
		Core::redirect('/tiket/add', 'Ваше сообщение успешно принято. Ожидайте ответа на e-mail <b>'.$_POST['mail'].'</b>');
		}else{
		Core::redirect('/tiket/add', $err);
		}
		}else{
		Core::redirect('/tiket/add', 'Не введен один из параметров');
	}
	}
}
?>